org.apache.storm.topology.base

## Class BaseBasicBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseBasicBolt

- All Implemented Interfaces:
    Serializable, IBasicBolt, IComponent
  Direct Known Subclasses:
    AbstractRankerBolt, AnchoredWordCount.SplitSentence, AnchoredWordCount.WordCount, BasicDRPCTopology.ExclaimBolt, BlobStoreAPIWordCountTopology.FilterWords, CountBolt, FastWordCountTopology.SplitSentence, FastWordCountTopology.WordCount, IdentityBolt, InOrderDeliveryTest.Check, LambdaBiConsumerBolt, LambdaConsumerBolt, LogInfoBolt, ManualDRPC.ExclamationBolt, PrepareBatchBolt, PrepareRequest, PrinterBolt, ReachTopology.GetFollowers, ReachTopology.GetTweeters, SplitSentenceBolt, StatefulTopology.PrinterBolt, TestConfBolt, TestPrintBolt, TestWordCounter, ThroughputVsLatency.SplitSentence, ThroughputVsLatency.WordCount, WordCountBolt, WordCounter, WordCountTopologyNode.WordCount

      public abstract class BaseBasicBolt
      extends BaseComponent
      implements IBasicBolt

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseBasicBolt()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `void` | `prepare(Map<String,Object> topoConf, TopologyContext context)`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IBasicBolt

      `execute`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `declareOutputFields, getComponentConfiguration`

- - ### Constructor Detail

    - #### BaseBasicBolt

          public BaseBasicBolt()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> topoConf,
                              TopologyContext context)

      Specified by:
        `prepare` in interface `IBasicBolt`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `IBasicBolt`

Copyright © 2021 The Apache Software Foundation. All rights reserved.